Edit Notice in Category space displays improperly
Closed, DeclinedPublic

Assigned To
None
Priority
Needs Triage
Author
bzimport
Subscribers
Jdforrester-WMF, matmarex, Krinkle
Projects
Reference
bz56260
Description

Author: pearley

Description:
Image of edit notice display issue

When opening a category page in VE, for instance https://en.wikipedia.org/wiki/Category:Rivers_of_British_Columbia, an edit notice appears giving instructions on category page editing. Using the latest FF or Chrome on Mac OS 10.6, the notice is chopped off halfway. See screenshot for details.


Version: unspecified
Severity: normal

Attached:

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 2:13 AM
bzimport set Reference to bz56260.
bzimport created this task.Via LegacyOct 28 2013, 5:40 PM
bzimport added a comment.Via ConduitOct 29 2013, 7:58 PM

pearley wrote:

Note: this is issue does not seem to happen on all category pages; At https://en.wikipedia.org/wiki/Category:Futurama for instance, it displays as it should.

matmarex added a comment.Via ConduitOct 29 2013, 8:13 PM

That's because the monotype part of the message ("[[Category:Rivers of British Columbia]]") is contained in a <span class="nowrap">, so the text is not line-wrapped just as requested. As it's wider than the area for edit notices, it overflows it, and the rest of the message fills out the space.

This should probably be fixed in the appropriate template, but I guess VE could enlarge the editnotice area if needed (not sure if it's a good idea).

Jdforrester-WMF added a comment.Via ConduitMay 9 2014, 2:19 PM

Agreeing with MatmaRex here; this is something that should be fixed in the template.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.